Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Obtain a token, license and user info for a client of an account.

Obtain a token, license and user info for a client of an account. Given an accountId and the clientId/clientSecret of an API client registered for that account, let CAM determine the account’s Keycloak server and obtain a token for that client. Returns the caller’s email and userId (from the obtained token), the token itself, the account-scoped license token (LIC_BPANDA_API) for the given accountId, and the id of that account’s process space (PS-001-<accountId>).

Security: No access token required: the caller authenticates with the clientId and clientSecret of an API client registered for the given account.

POST/v1/apiUserInfo
Request-Body
erforderlichapplication/json

Payload

accountIdstringerforderlich
clientIdstringerforderlich
clientSecretstringerforderlich
Antworten
200

Ok

emailstringerforderlich
licenseTokenstringerforderlich
processSpaceIdstringerforderlich
tokenstringerforderlich
userIdstringerforderlich
404

No license token for the given accountId, or its process space does not exist

string
Ausprobieren
Server
Bodyapplication/json
Anfrage
curl -X POST 'https://goto.bpanda.com/api/v1/apiUserInfo' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "accountId": "string",
  "clientId": "string",
  "clientSecret": "string"
}'
Antwort
{
  "email": "string",
  "licenseToken": "string",
  "processSpaceId": "string",
  "token": "string",
  "userId": "string"
}

War diese Seite hilfreich?